package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFVersionMapper;
import com.sa.ibiz.demo.demo.domain.WFVersion;
import com.sa.ibiz.demo.demo.service.WFVersionService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFVersionSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.WFWorkflowService;

/**
 * 实体[WFVersion] 服务对象接口实现
 */
@Service
public class WFVersionServiceImpl extends ServiceImplBase<WFVersionMapper, WFVersion> implements WFVersionService{

    @Autowired
    private WFWorkflowService wfworkflowService;

    @Resource
    private WFVersionMapper wfversionMapper;


    @Override
    public boolean create(WFVersion et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFVersion et){
        this.beforeUpdate(et);
		this.wfversionMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFVersion et){
		return et.getWfversionid();  
    }

    @Override
    public boolean getDraft(WFVersion et)  {
    if((!StringUtils.isEmpty(et.getWfwfid())) && et.getWfworkflow() == null){
            try {
                et.setWfworkflow(wfworkflowService.getById(et.getWfwfid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<WFVersion> listDefault(WFVersionSearchFilter filter) {
		return wfversionMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFVersion> searchDefault(WFVersionSearchFilter filter) {
		return wfversionMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfversionMapper.selectRow(sql);
    }

 }